Bug 73488 - [New Port] devel/p5-Algorithm-Accounting, Generate accounting statistic for general logs
Summary: [New Port] devel/p5-Algorithm-Accounting, Generate accounting statistic for g...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-11-03 18:30 UTC by Yuan-Chung Hsiao
Modified: 2005-01-25 07:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuan-Chung Hsiao 2004-11-03 18:30:24 UTC

How-To-Repeat: 
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-Algorithm-Accounting/
#	p5-Algorithm-Accounting/Makefile
#	p5-Algorithm-Accounting/distinfo
#	p5-Algorithm-Accounting/pkg-descr
#	p5-Algorithm-Accounting/pkg-plist
#
echo c - p5-Algorithm-Accounting/
mkdir -p p5-Algorithm-Accounting/ > /dev/null 2>&1
echo x - p5-Algorithm-Accounting/Makefile
sed 's/^X//' >p5-Algorithm-Accounting/Makefile << 'END-of-p5-Algorithm-Accounting/Makefile'
X# New ports collection makefile for:	devel/p5-Algorithm-Accounting
X# Date created:				25 Oct 2004
X# Whom:					Yuan-Chung Hsiao <ychsiao@ychsiao.idv.tw>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	Algorithm-Accounting
XPORTVERSION=	0.05
XCATEGORIES=	devel perl5
XMASTER_SITES=	${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=	../../authors/id/G/GU/GOD
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	ychsiao@ychsiao.idv.tw
XCOMMENT=	Generate accounting statistic for general logs
X
XBUILD_DEPENDS=	${SITE_PERL}/Spiffy.pm:${PORTSDIR}/devel/p5-Spiffy \
X		${SITE_PERL}/FreezeThaw.pm:${PORTSDIR}/devel/p5-FreezeThaw \
X		${SITE_PERL}/Array/Compare.pm:${PORTSDIR}/misc/p5-Array-Compare \
X		${SITE_PERL}/Array/Iterator/Reusable.pm:${PORTSDIR}/devel/p5-Array-Iterator \
X		${SITE_PERL}/${PERL_ARCH}/Clone.pm:${PORTSDIR}/devel/p5-Clone \
X		${SITE_PERL}/YAML.pm:${PORTSDIR}/textproc/p5-YAML
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XPERL_CONFIGURE=	yes
X
XMAN3=		Algorithm::Accounting.3
X
X.include <bsd.port.mk>
END-of-p5-Algorithm-Accounting/Makefile
echo x - p5-Algorithm-Accounting/distinfo
sed 's/^X//' >p5-Algorithm-Accounting/distinfo << 'END-of-p5-Algorithm-Accounting/distinfo'
XMD5 (Algorithm-Accounting-0.05.tar.gz) = f33ab7b352fcfd491346befffe5b8556
XSIZE (Algorithm-Accounting-0.05.tar.gz) = 10576
END-of-p5-Algorithm-Accounting/distinfo
echo x - p5-Algorithm-Accounting/pkg-descr
sed 's/^X//' >p5-Algorithm-Accounting/pkg-descr << 'END-of-p5-Algorithm-Accounting/pkg-descr'
XAlgorithm::Diff is a perl module that provides an interface to compute
Xthe difference between two files, two strings, or any other two lists
Xof things.  It uses an intelligent algorithm similar/identical to the
Xone used by classical Unix diff(1).  It is guaranteed to find the
X*smallest possible* set of differences.
X
XWWW: http://search.cpan.org/search?dist=Algorithm-Diff
XAuthor: Ned Konz <perl@bike-nomad.com>
X
X--will
END-of-p5-Algorithm-Accounting/pkg-descr
echo x - p5-Algorithm-Accounting/pkg-plist
sed 's/^X//' >p5-Algorithm-Accounting/pkg-plist << 'END-of-p5-Algorithm-Accounting/pkg-plist'
X%%SITE_PERL%%/Algorithm/Accounting.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/Accounting/.packlist
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/Accounting
X@unexec rmdir %D/%%SITE_PERL%%/Algorithm/Accounting 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/Algorithm/Accounting 2>/dev/null || true
END-of-p5-Algorithm-Accounting/pkg-plist
exit
Comment 1 Cheng-Lung Sung freebsd_committer 2004-12-11 01:43:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Take.
Comment 2 Cheng-Lung Sung freebsd_committer 2005-01-25 07:01:17 UTC
State Changed
From-To: open->closed

Committed, also rewrite pkg-descr, please remember to  
check pkg-descr before submitting :)